Service: "{ServiceKey}"
Port: 12238


Databases: 
  Driver: postgres
  Source: 
    - postgres://postgres:CHANGE_ME@47.109.77.183:5432/bsm_dev?sslmode=disable&TimeZone=Asia/Shanghai

# cache DB的选择请在后面直接带参数，不带会自动HASH计算选择DB库。
# DB库设置例：redis://null:Weidong1214@139.159.232.50:6379/12，代表DB12
Cache: redis://null:CHANGE_ME@47.109.77.183:6379/

Etcd:
   Hosts:
   - "127.0.0.1:2379"
   Key: service.{Workspace}.{ServiceKey}.rpc


Gateway:
  Enable: true
  Port: 12239
## 服务调用
#Notify:
#  Etcd:
#    Hosts:
#    - 127.0.0.1:2379
#    Key: service.{Workspace}.notify.rpc
#
#Material:
#  Etcd:
#    Hosts:
#    - 127.0.0.1:2379
#    Key: service.{Workspace}.material.rpc

MicroService: 
  Enable: false
  Anonymous:
    - wallet.wechat.WxCallback
    - wallet.payment.Callback
    - wallet.payment.Hello


# 日志记录
Log:
  ServiceName: {ServiceKey}
  Mode: file
  Path: logs/{ServiceKey}
  Stat: false

# 性能监控
Prometheus:
  Host: 127.0.0.1
  Port: 22238
  Path: /metrics

# 链路追踪
# Telemetry:
#   Name: {Workspace}.{ServiceKey}.{RuntimeMode}
#   Endpoint: http://121.37.208.46:14268/api/traces
#   Sampler: 1.0
#   Batcher: jaeger

# MQ Pulsar
#Pulsar:
#  Endpoints: 127.0.0.1
#  Token: 9091
#  Namespaces: {Workspace}
WeChat:
  AppID: wx9a2f163207219776
  AppSecret:
  SerialNo: 209F629E63E56D2366361969B51FBA0ADCF69F55
  APIV3Key: MakeSupplyChainFinance1123581321
  PrivateKey: E:/working/ServerData/wechat_cert/apiclient_key.pem
  NotifyURL:
  Currency: CNY
  MchID: 1670561983
  SubMchID:
  OpenID: